<?php
/*
Plugin Name: TabGarb
Plugin URI:  http://webgarb.com/?s=TabGarb
Description: Easily split your post/page content into tabs . easily theme customization tabs color and theme. Tabgarb is SEO frendly and will interrupt your content when was was not installed in your wordpress because its use html comment tags for formatting page/post, you can change tabs transition effect and speed from direct from wordpress admin , TabGarb Have 2 method of loading tabs (HTML NORMAL LOAD, JAVASCRIPT) 
Version: 1.4.3
Author: Webgarb
Author URI: http://Webgarb.com
*/
/*
TabGarb 1.4.2
License : http://www.gnu.org/copyleft/gpl.html
Info : www.webgarb.com?s=TabGarb
Copyright (c) 2010-2011 WebGarb 
------------
Lastupdate : 5:30 PM Friday, May 20, 2011
*/      register_activation_hook(__FILE__, 'tabgarb_int');
		add_filter('the_content', "tabgarb_parse_garb");
		add_filter('the_excerpt', "tabgarb_parse_garb");
		
		
/*
Filter Page/Post
*/
        
function tabgarb_var($aVars) {
    $aVars[] = "tabp";   
    return $aVars;
}
 
// hook add_query_vars function into query_vars
add_filter('query_vars', 'tabgarb_var');
		
		        
define("TABGARB_PLUGIN_URL",WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));

if(!function_exists("tabgarb_int")) {
	
function tabgarb_int() {
add_option("tabgarb_news","");
add_option("tabgarb_news_date","");
add_option("tabgarb_speed","fast");
add_option("tabgarb_effect","none");	
add_option("tabgarb_enable","1");
add_option("tabgarb_debug","1");	
add_option("tabgarb_method","javascript");	
add_option("tabgarb_theme",'#tabgarb
	{
	display:block;
	padding-bottom:8px;
	margin: 0;
	padding-left: 0px;
	}

#tabgarb li
	{
		margin: 0; 
		padding: 0;
  		display: inline;
  		list-style-type: none;
  	}
	
#tabgarb li a
	{
	float: left;
	background: #f3f3f3;
	font-size: 14px;
	line-height: 14px;
	font-weight: bold;
	text-decoration: none;
	color: #666;
	font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
	padding-top: 8px;
	padding-right: 20px;
	padding-bottom: 8px;
	padding-left: 20px;
	margin-right: 8px;
	border-top-width: 1px;
	border-right-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px;
	border-top-style: solid;
	border-right-style: solid;
	border-bottom-style: none;
	border-left-style: solid;
	border-top-color: #ccc;
	border-right-color: #ccc;
	border-bottom-color: #ccc;
	border-left-color: #ccc;
	}

#tabgarb li a:link { color: #666; }
#tabgarb li a:visited { color: #666; }

#tabgarb li a:hover
	{
		background: #fff;
	}


#tabgarb li.tabgarbactive a
	{
		border-bottom: 1px solid #fff;
		background: #fff;
		color: #333;
        margin-bottom:-2px
	}


.tabgarb_content {
    clear:both;
	display:none;
	border-size:1px;
	margin-top:-0px;
	border-top-width: 1px;
	border-bottom-width: 1px;
	border-top-style: solid;
	border-bottom-style: solid;
	border-top-color: #ccc;
	border-bottom-color: #ccc;
	padding-bottom: 10px;
}');	
	return true;
}

}

#ADDING WP HEAD STYLE
add_action('wp_head', 'tabgarb_head');

#TABGARB HEAD FUNCTION
if(!function_exists("tabgarb_head")) {
    
    function tabgarb_head() {
	
	if(is_page() || is_single() || is_home() AND get_option("tabgarb_enable") == '1'):
	
	echo '<link rel="stylesheet" type="text/css" href="'.TABGARB_PLUGIN_URL.'style.php" />';

	if(get_option("tabgarb_method") == "javascript") {
	echo'<script src="'.TABGARB_PLUGIN_URL.'tabgarb.js" type="text/javascript" ></script>';
	echo'<script type="text/javascript">
	_tabgarb_load_jquery("'.TABGARB_PLUGIN_URL.'jquery.js");
	</script>
	';
							 }
	
	endif;
	
    }
}

//TabGarb Setup
if(!function_exists("tabgarb_parse_garb")) {
	
function tabgarb_parse_garb( $content ) {

if(is_page() || is_single() || is_home() AND get_option("tabgarb_enable") == '1') {

include"function.php";

$tabs = tabgarb_get_menulist($content);
if($tabs != "0") { //IF COMMENT IS NOT IN PAGE
if($tabs == "1") { //IF PARSE ERROR
	$content = tabgarb_parse_error("TabGarb Parse Error .!").$content; 
} else { //IF VALID Tabs list Found



//MAKING TABS
$tabcontent .= "\n<ul id=\"tabgarb\">";
$act = 'none';
foreach($tabs as $D) {

if(get_option("tabgarb_method") == "javascript") {
if($D["active"] == "1" AND $act == 'none') {
$act = ' class="tabgarbactive"';
} 
} else {

if($_GET["tabgarb"] == $D["e"] AND $act == 'none') {
$act = ' class="tabgarbactive"';
} 

elseif($_GET["tabgarb"] == "" AND $D["active"] == "1"  AND $act == "none") {
$act = ' class="tabgarbactive"';	
} 

	
}


$tabcontent .= ''."\n".' <li'.(($act == "none")?"":$act).'><a id="'.$D["e"].'" href="'.tabgarb_link($D["e"]).'" title="'.$D["name"].'">'.$D["name"].'</a></li>'; 

$act = 'none';	
}	

$tabcontent .= "\n</ul><div style=\"clear:both\"></div>";
//END MAKING TABS

//REMOVIND TAB COMMENT
$content = tabgarb_remove_tab_com($content);
//END ROMVE TAB COMMENT



//GETTING TAB CONTENTS (JAVASCRIPT)
$act = ' ';
foreach($tabs as $D) {
$tab = $D["e"];

if($D["active"] == "1" AND $act == ' ') {
$act = 'style="display:block"';
} else {
$act = ' ';
}

$con =  tabgarb_gettab_content($tab,$content);
$error = false;
switch($con) {
	case '1':
	$error = tabgarb_parse_error("TabGarb Error : \"".$D["name"]."\" Tab Not Found.");
	break;
	case '2':
	$error = tabgarb_parse_error("Tabgarb Error : Error While Parsing \"".$D["name"]."\" Tab. <br /> <div style=\"font-size:10px;font-weight:normal;\">This can be happen if Content have &lt;!--more--&gt; and &lt;!--nextpage--&gt;</div>");
	break;
	case '3':
	$error = tabgarb_parse_error("Tabgarb Error : \"".$D["name"]."\" Tab Content does not exits.");
	break;
}
if($error) {
$tabcontent = $error.$tabcontent;
} else {
$content = tabgarb_remove_tab_content($tab,$content);	

if(get_option("tabgarb_method") == "javascript") {
$tabcontent = $tabcontent."\n".'<div class="tabgarb_content" id="tabgarb-'.$tab.'" '.$act.'>'."\n".$con."\n".'</div>'."\n";	
} else {
if($_GET["tabgarb"] == $tab) {

$tabcontent = $tabcontent."\n".'<div style="display:block" class="tabgarb_content" id="tabgarb-'.$tab.'" '.$act.'>'."\n".$con."\n".'</div>'."\n";	
} 
elseif($_GET["tabgarb"] == "" and $D["active"] == "1") {
	$tabcontent = $tabcontent."\n".'<div style="display:block" class="tabgarb_content" id="tabgarb-'.$tab.'" '.$act.'>'."\n".$con."\n".'</div>'."\n";	
}

	
}


}


}
//END GETTING TAB CONTENT

//LAST POST SCRIPT
$loadscript = "\n".'<script type="text/javascript">
tabgarb_set("effect","'.get_option("tabgarb_effect").'");
tabgarb_set("speed","'.get_option("tabgarb_speed").'");
 _tabgarb();
</script>
';

$content = str_replace("<!--TABGARB_REMOVED-->",$tabcontent,$content);

$content = $content.$loadscript; 

} //END if valid tabs list Found	
}

} // END if(is_page() || is_single())


	return $content;
}

}
//TabGarb Admin
if(!function_exists("tabgarb_admin_setup")) {
	
function tabgarb_admin_setup() {
include"tabgarb_admin.php";
tabgarb_admin_page();
}

}
//End Tabgarb Admin
if(!function_exists("tabgarb_admin_menu")) {
	
function tabgarb_admin_menu() {

  add_options_page('TabGarb Settings', 'TabGarb','10',  'Tabgarb_WP', 'tabgarb_admin_setup');

}

}
add_action('admin_menu', 'tabgarb_admin_menu');

?>